Skip to content

Add contact to blacklist

Request

Blacklist a contact by LinkedIn handle, email, name, or company name. Provide at least one identifier; the entry is matched on import and outreach.

Security
bearerAuth
Bodyapplication/jsonrequired
Any of:
linkedinstring

LinkedIn profile handle.

Example:"john-doe-123456"
emailstring, (email)
namestring
company_namestring
POST
/leads/api/leads-blacklist
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/leads-blacklist \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "linkedin": "john-doe-123456"
  }'

Responses

Contact blacklisted.

Bodyapplication/json
uuidstring, (uuid)
team_idinteger
namestring or null
company_namestring or null
linkedinstring or null

LinkedIn handle.

ln_idstring or null

LinkedIn member ID.

emailstring or null, (email)
user_idinteger
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "team_id": 0, "name": "string", "company_name": "string", "linkedin": "string", "ln_id": "string", "email": "user@example.com", "user_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }